linux下从源码编译比特币客户端

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/dongdongbusi/article/details/75209322

下载源码

  • 比特币源码地址
  • 这个是master分支的,建议在tag里选最新的稳定版,目前是v0.14.2
  • 直接下载zip,别clone了,clone很慢。

编译代码

不妨先看看官方的编译说明

ps:

第一手的官方的资源一般都是最好的,有问题了最好先从官方资源入手,而不是从网上搜索二手、三手的。所以我建议每个在网上写攻略、教程、学习笔记的人,都说明下知识原处,而学习的人一定要找第一手资源,其他的作为参考,毕竟误读几乎是不可避免的。

unix系统的编译说明在doc目录下
整个说明大致分为这部分:
- 怎么编译
- 依赖项说明
- 依赖项的安装

依赖项的安装

通读一下依赖项的说明,大致了解下需要哪些依赖项,哪些是可选的哪些是必须的之后,就先准备编译依赖项。
根据自己的系统在文档里找相应的部分,我这里是debian,Fedora、FreeBsd、Arch Linux的自己找对应的。

一般项

apt-get install build-essential libtool autotools-dev automake pkg-config libssl-dev libevent-dev bsdmainutils

boost 相关

可以只安装用到的库

apt-get install libboost-system-dev libboost-filesystem-dev libboost-chrono-dev libboost-program-options-dev libboost-test-dev libboost-thread-dev

也可以全装,也就130M

apt-get install libboost-all-dev

BerkeleyDB

这里debian和ubuntu有点小区别,ubuntu的可以参考文档。我这里debian 9用的163的源。

apt-get install libdb-dev
apt-get install libdb++-dev

这个装完对应的BerkeleyDB版本貌似是6.x,和系统配置的不一样,后面配置的时候需要多带个–with-incompatible-bdb选项

zmq可装可不装

apt-get install libzmq3-dev

qt5以及protobuf

apt-get install libqt5gui5 libqt5core5a libqt5dbus5 qttools5-dev qttools5-dev-tools libprotobuf-dev protobuf-compiler

编译

配置生成makefile

./autogen.sh
./configure –with-incompatible-bdb

可以查看所有选项,我这边就关掉了test模块

./configure –helo
./configure –with-incompatible-bdb –disable-tests

make

make
make install

检查是否安装成功

可以使用which bitcoind
也可以直接启动客户端试试

bitcoin-qt

客户端启动后会要你设定一个数据目录,这个建议设到其他盘。程序启动看一下就好了,下载全部区块数据要120G…

展开阅读全文

没有更多推荐了,返回首页